Bug 116821 - row and column toolbar not available when selecting non-adjacent rows/columns by pressing ctrl key
Summary: row and column toolbar not available when selecting non-adjacent rows/columns...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.2.1 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:6.1.0 target:6.0.5
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2018-04-05 12:26 UTC by Maulik Dave
Modified: 2018-04-24 08:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
When trying to delete multiple rows which are not adjacent, row toolbar not available. same is the case with columns also. (839.34 KB, image/jpeg)
2018-04-05 12:26 UTC, Maulik Dave
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maulik Dave 2018-04-05 12:26:17 UTC
Created attachment 141126 [details]
When trying to delete multiple rows which are not adjacent, row toolbar not available. same is the case with columns also.
Comment 1 Laurent BP 2018-04-14 15:19:36 UTC
I can NOT reproduce with:
- Version: 5.4.7.1
Build ID: ef425abf896c652d177000096228d1dbcfe9c7af
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group

I CAN reproduce with:
- Version: 6.0.3.2
Build ID: 8f48d515416608e3a835360314dac7e47fd0b821
Threads CPU : 8; OS : Linux 4.13; UI Render : par défaut; VCL: gtk2; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group
Comment 2 Laurent BP 2018-04-14 15:41:11 UTC
Bibisected:
8922e440c110f3306f77294a9cff3c39c9fd3df2 is the first bad commit
commit 8922e440c110f3306f77294a9cff3c39c9fd3df2
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Sun Jan 7 16:33:53 2018 +0100

    source sha:081a544b92ab7adbdfe29d56d91019556ffc07c9
    
    source sha:081a544b92ab7adbdfe29d56d91019556ffc07c9

:040000 040000 dffeee03e5b04fbfbbbfe528a338cc970f9f0e2f 567db849d343bb2392cead2cae14e0432ef84132 M	instdir
Comment 3 Laurent BP 2018-04-14 15:44:52 UTC
Suspected commit:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=081a544b92ab7adbdfe29d56d91019556ffc07c9

Adding CC to Maxime
Comment 4 Laurent BP 2018-04-14 15:45:49 UTC
This commit corrected bug 113980
Comment 5 Maxim Monastirsky 2018-04-15 12:55:46 UTC
https://gerrit.libreoffice.org/52909
Comment 6 Commit Notification 2018-04-17 09:53:17 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3732d5ab1782bbadfee457115fbd8dce78453cc2

tdf#116821 Keep row/column buttons enabled even when insert impossible

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Maulik Dave 2018-04-21 16:56:58 UTC
(In reply to Commit Notification from comment #6)
> Maxim Monastirsky committed a patch related to this issue.
> It has been pushed to "master":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=3732d5ab1782bbadfee457115fbd8dce78453cc2
> 
> tdf#116821 Keep row/column buttons enabled even when insert impossible
> 
> It will be available in 6.1.0.
> 
> The patch should be included in the daily builds available at
> http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
> information about daily builds can be found at:
> http://wiki.documentfoundation.org/Testing_Daily_Builds
> 
> Affected users are encouraged to test the fix and report feedback.

Isn't it possible to fix the bug in 6.0.x?
Comment 8 Commit Notification 2018-04-24 01:57:25 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3ea83896f2d3aefa8cd67b3aa54884450999481&h=libreoffice-6-0

tdf#116821 Keep row/column buttons enabled even when insert impossible

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.